<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\BayerischerApothekertagStudenten\CheckKonto;

class CheckKontoController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new CheckKontoUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $requestObj = new CheckKontoRequest();
    $requestObj->konto = \RequestOperations::getVarValue('konto');
    $requestObj->blz = \RequestOperations::getVarValue('blz');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new CheckKontoPresenter($pUseCaseResponse);
  }
}